Bug 55707 - Dual boot fails, same disk,
Dual boot fails, same disk,
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-05 07:51 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 00:02:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-05 07:51:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
The program dumps, and fails to do do a dual partition. Not possible to 
create a root partition.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Windows Me on a disk
2. Partion the disk
3. Install Linux 7.2
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/bootloader.py", line 716, in 
bootloaderSetupChoices
    choices = fsset.bootloaderChoices(diskSet)
  File "/usr/lib/anaconda/fsset.py", line 720, in bootloaderChoices
    bootDev = mntDict['/']
KeyError: /

Local variables in innermost frame:
diskSet: <partitioning.DiskSet instance at 8425e60>
mntDict: {'/proc': <fsset.Device instance at 85d2ac8>, '/dev/pts': 
<fsset.Device instance at 8674a18>, None: <fsset.PartitionDevice instance 
at 85349a8>}
self: <fsset.FileSystemSet instance at 8674b18>
entry: <fsset.FileSystemSetEntry instance at 84d6ab0>


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'addswap': 1, 'indivpackage': 
1, 'upgrademigratefs': 1, 'findpackages': 1, 'reconfigkeyboard': 
1, 'makebootdisk': 1, 'authentication': 1, 'upgrademount': 1, 'partition': 
1, 'confirmupgrade': 1, 'fdisk': 1, 'upgradeswapsuggestion': 
1, 'upgrademigfind': 1, 'findinstall': 1, 'findrootparts': 
1, 'reconfigcomplete': 1, 'upgradecontinue': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red 
Hat Linux Beta}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01', 'lat0-
sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'), 'Italian 
(Italy)': ('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)': 
('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)': 
('es_GT', 'iso01', 'lat0-sun16'), 'Malay (Malaysia)': 
('ms_MY', 'iso01', 'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': 
('ar_LY', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Oman)': 
('ar_OM', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Iraq)': 
('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)': 
('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South Africa)': 
('en_ZA', 'iso01', 'lat0-sun16'), 'French (Switzerland)': 
('fr_CH', 'iso01', 'lat0-sun16'), 'Arabic (Bahrein)': 
('ar_BH', 'iso06', 'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-
sun16'), 'French (France)': ('fr_FR@euro', 'iso15', 'lat0-
sun16'), 'Greenlandic (Greenland)': ('kl_GL', 'iso01', 'lat0-
sun16'), 'Korean (Republic of Korea)': ('ko_KR.eucKR', 'iso01', 'lat0-
sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 'cyr-sun16'), 'Spanish 
(Mexico)': ('es_MX', 'iso01', 'lat0-sun16'), 'Greek': 
('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': 
('es_SV', 'iso01', 'lat0-sun16'), 'Spanish (Peru)': 
('es_PE', 'iso01', 'lat0-sun16'), 'Spanish (Honduras)': 
('es_HN', 'iso01', 'lat0-sun16'), 'Spanish (Costa Rica)': 
('es_CR', 'iso01', 'lat0-sun16'), 'English (Denmark)': 
('en_DK', 'iso01', 'lat0-sun16'), 'Dutch (Netherlands)': 
('nl_NL@euro', 'iso15', 'lat0-sun16'), 'Serbian (Yugoslavia)': 
('sr_YU@cyrillic', 'iso05', 'cyr-sun16'), 'Bosnian (Bosnia and 
Herzegowina)': ('bs_BA', 'iso02', 'lat2-sun16'), 'Russian (Ukraine)': 
('ru_UA', 'koi8-u', 'cyr-sun16'), 'Portuguese (Portugal)': 
('pt_PT@euro', 'iso15', 'lat0-sun16'), 'Afrikaans (South Africa)': 
('af_ZA', 'iso01', 'lat0-sun16'), 'Norwegian': ('no_NO', 'iso01', 'lat0-
sun16'), 'Arabic (Morocco)': ('ar_MA', 'iso06', 'LatArCyrHeb-
16'), 'English (Philippines)': ('en_PH', 'iso01', 'lat0-sun16'), 'Arabic 
(Algeria)': ('ar_DZ', 'iso06', 'LatArCyrHeb-16'), 'Indonesian': 
('id_ID', 'iso01', 'lat0-sun16'), 'Danish': ('da_DK', 'iso01', 'lat0-
sun16'), 'Chinese (Taiwan R.O.C.)': ('zh_TW.Big5', 'iso01', 'lat0-
sun16'), 'Faroese (Faroe Islands)': ('fo_FO', 'iso01', 'lat0-
sun16'), 'Galician (Spain)': ('gl_ES@euro', 'iso15', 'lat0-
sun16'), 'English (New Zealand)': ('en_NZ', 'iso01', 'lat0-
sun16'), 'Spanish (Bolivia)': ('es_BO', 'iso01', 'lat0-sun16'), 'Cornish 
(Britain)': ('kw_GB', 'iso01', 'lat0-sun16'), 'Arabic (United Arab 
Emirates)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)': 
('es_NI', 'iso01', 'lat0-sun16'), 'German (Austria)': 
('de_AT@euro', 'iso15', 'lat0-sun16'), 'Romanian': 
('ro_RO', 'iso02', 'lat2-sun16'), 'Spanish (Paraguay)': 
('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)': 
('he_IL', 'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': 
('de_LU@euro', 'iso15', 'lat0-sun16'), 'Spanish (USA)': 
('es_US', 'iso01', 'lat0-sun16'), 'Portuguese (Brasil)': 
('pt_BR', 'iso01', 'lat0-sun16'), 'Spanish (Equador)': 
('es_EC', 'iso01', 'lat0-sun16'), 'Polish': ('pl_PL', 'iso02', 'lat2-
sun16'), 'Slovak': ('sk_SK', 'iso02', 'lat2-sun16'), 'Macedonian': 
('mk_MK', 'iso05', 'cyr-sun16'), 'Spanish (Spain)': 
('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)': 
('es_CL', 'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': 
('ar_SY', 'iso06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-
sun16'), 'Irish': ('ga_IE@euro', 'iso15', 'lat0-sun16'), 'Arabic 
(Jordan)': ('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian (Switzerland)': 
('it_CH', 'iso01', 'lat0-sun16'), 'German (Belgium)': 
('de_BE@euro', 'iso15', 'lat0-sun16'), 'Albanian': 
('sq_AL', 'iso01', 'lat0-sun16'), 'Occitan (France)': 
('oc_FR', 'iso01', 'lat0-sun16'), 'Finnish': ('fi_FI@euro', 'iso15', 'lat0-
sun16'), 'Swedish (Sweden)': ('sv_SE', 'iso01', 'lat0-sun16'), 'English 
(Singapore)': ('en_SG', 'iso01', 'lat0-sun16'), 'Dutch (Belgium)': 
('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)': 
('es_PA', 'iso01', 'lat0-sun16'), 'Spanish (Venezuela)': 
('es_VE', 'iso01', 'lat0-sun16'), 'English (Great Britain)': 
('en_GB', 'iso01', 'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-
u', 'cyr-sun16'), 'Norwegian, Nynorsk (Norway)': ('nn_NO', 'iso01', 'lat0-
sun16'), 'English (Zimbabwe)': ('en_ZW', 'iso01', 'lat0-sun16'), 'English 
(USA)': ('en_US', 'iso01', 'lat0-sun16'), 'Tagalog (Philipines)': 
('tl_PH', 'iso01', 'lat0-sun16'), 'Breton (France)': 
('br_FR', 'iso01', 'lat0-sun16'), 'Chinese (P.R. of China)': 
('zh_CN.GB2312', 'iso01', 'lat0-sun16'), 'Arabic (Yemen)': 
('ar_YE', 'iso06', 'LatArCyrHeb-16'), 'Basque (Spain)': 
('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)': 
('ar_QA', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': 
('ar_EG', 'iso06', 'LatArCyrHeb-16'), 'French (Belgium)': 
('fr_BE@euro', 'iso15', 'lat0-sun16'), 'English (Ireland)': 
('en_IE@euro', 'iso15', 'lat0-sun16'), 'Hungarian': 
('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)': 
('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': 
('fr_LU@euro', 'iso15', 'lat0-sun16'), 'Japanese': 
('ja_JP.eucJP', 'iso01', 'lat0-sun16'), 'Uzbek (Uzbekistan)': 
('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish (Finland)': 
('sv_FI@euro', 'iso15', 'lat0-sun16'), 'Arabic (Saudi Arabia)': 
('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)': 
('es_DO', 'iso01', 'lat0-sun16'), 'French (Canada)': 
('fr_CA', 'iso01', 'lat0-sun16'), 'English (Canada)': 
('en_CA', 'iso01', 'lat0-sun16'), 'German (Germany)': 
('de_DE@euro', 'iso15', 'lat0-sun16'), 'Slovenian (Slovenia)': 
('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish (Uruguay)': 
('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': 
('de_CH', 'iso01', 'lat0-sun16'), 'English (Hong Kong)': 
('en_HK', 'iso01', 'lat0-sun16'), 'English (Australia)': 
('en_AU', 'iso01', 'lat0-sun16'), 'Catalan (Spain)': 
('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Puerto Rico)': 
('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR', 'iso09', 'lat5-
sun16'), 'Estonian': ('et_EE', 'iso01', 'lat0-sun16'), 'Arabic (Sudan)': 
('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic': 
('is_IS', 'iso01', 'lat0-sun16'), 'English (Botswana)': 
('en_BW', 'iso01', 'lat0-sun16'), 'Manx Gaelic (Britain)': 
('gv_GB', 'iso01', 'lat0-sun16')}
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 8591980>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red 
Hat Linux Beta}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': 
us, 'Norwegian': no-latin1, 'Swedish': se-latin1, 'French': fr-
latin1, 'Japanese': jp106, 'Slovenian': slovene, 'Czech': cz-
lat2, 'Ukrainian': ua, 'Spanish': es, 'German': de-latin1-
nodeadkeys, 'Danish': us, 'Icelandic': is-latin1}
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian': cyr-
sun16, 'English': default8x16, 'Norwegian': lat0-sun16, 'Swedish': lat0-
sun16, 'French': lat0-sun16, 'Japanese': Kon, 'Slovenian': lat2-
sun16, 'Czech': lat2-sun16, 'Ukrainian': cyr-sun16, 'Spanish': lat0-
sun16, 'German': lat0-16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16}
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian': 
ru_RU.koi8r, 'English': en_US, 'Norwegian': no_NO, 'Swedish': 
sv_SE, 'French': fr_FR, 'Japanese': ja_JP.eucJP, 'Slovenian': 
sl_SI, 'Czech': cs_CZ, 'Ukrainian': uk_UA, 'Spanish': es_ES, 'German': 
de_DE, 'Danish': da_DK, 'Icelandic': is_IS}
    langList: [Czech, Danish, English, French, German, Icelandic, Italian, 
Japanese, Korean, Norwegian, Russian, Slovenian, Spanish, Swedish, 
Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian': 
Europe/Moscow, 'English': America/New_York, 'Norwegian': 
Europe/Oslo, 'Swedish': Europe/Stockholm, 'French': 
Europe/Paris, 'Japanese': Asia/Tokyo, 'Slovenian': 
Europe/Ljubljana, 'Czech': Europe/Prague, 'Ukrainian': 
Europe/Kiev, 'Spanish': Europe/Madrid, 'German': Europe/Berlin, 'Danish': 
Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik}
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English': 
iso01, 'Norwegian': iso15, 'Swedish': iso15, 'French': iso15, 'Japanese': 
None, 'Slovenian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Spanish': 
iso15, 'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 81bfbe0>]
Primary Video Card Info:
device: fb0
descr : nVidia Corporation|NV11
server: XFree86
cardManf: NVidia
vidRam: 32768
carddata: {'NAME': 'NVIDIA GeForce 2 MX 
(generic)', 'DRIVER': 'nv', 'NOCLOCKPROBE': '', 'SEE': 'NVIDIA GeForce 2 
(generic)', 'CHIPSET': 'GeForce 2', 'VENDOR': 'NVidia'}
devID: NVIDIA GeForce 2 MX (generic)
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {'16': ['800x600']}
    mouse: FULLNAME="Generic - 3 Button Mouse (USB)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant: 
    videocard: FrameBufferCard instance, containing members:
      server: None
      cardManf: None
      devID: None
      probedcard: None
      vidRam: None
      device: None
      fbmodes: None
      descr: None
      fbbpp: None
      cardData: None
    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: del7001
monName: Dell M791
monID: Dell M791
fbmonSect: Section "Monitor"
    Identifier  "Probed Monitor"
    VendorName  "Unknown"
    ModelName   "Unknown"
    HorizSync   46.876
    VertRefresh 75.121
    ModeLine    "800x600" 48.002 800 832 928 1024 600 604 608 624 -HSync -
VSync
EndSection

monHoriz: 30.0-96.0
monVert: 50.0-160.0

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: [mountpoint: /   type: ext3   uniqueID:None
  size: 1100M   requestSize: 1100M  grow: 1   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /boot   type: ext3   uniqueID:None
  size: 50M   requestSize: 50M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:None
  size: 128M   requestSize: 128M  grow: 1   max: 256
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    nextUniqueID: 42
    zeroMbr: 0
    autoClearPartType: 3
    requests: [mountpoint: None   type: foreign   uniqueID:38
  size: 3506.34375M   requestSize: 3506.34375M  grow: 0   max: None
  start: 12289788L   end: 19470779L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda5, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:39
  size: 0.0302734375M   requestSize: 0.0302734375M  grow: 0   max: None
  start: 19470780L   end: 19470841L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:36
  size: 13092.0336914M   requestSize: 13092.0336914M  grow: 0   max: None
  start: 12289725L   end: 39102209L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda2, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:34
  size: 0.0302734375M   requestSize: 0.0302734375M  grow: 0   max: None
  start: 1L   end: 62L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: vfat   uniqueID:35
  size: 6000.81152344M   requestSize: 6000.81152344M  grow: 0   max: None
  start: 63L   end: 12289724L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:41
  size: 0.0615234375M   requestSize: 0.0615234375M  grow: 0   max: None
  start: 39102210L   end: 39102335L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: foreign   uniqueID:40
  size: 9585.62841797M   requestSize: 9585.62841797M  grow: 0   max: None
  start: 19470843L   end: 39102209L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda6, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: None   uniqueID:37
  size: 0.0302734375M   requestSize: 0.0302734375M  grow: 0   max: None
  start: 12289726L   end: 12289787L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda-1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    autoClearPartDrives: [hda]
    useFdisk: 0
    useAutopartitioning: 1
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: None
    arc: 0
    utcOffset: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 0
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: ForeignFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: foreign
        checked: 0
        partedPartitionFlags: []
        supported: -1
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: None
      device: PartitionDevice instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: hda5
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: Already dumped
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: None
      device: PartitionDevice instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: hda6
      label: None
      fsck: 0
      fsystem: Already dumped
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
   supported: 0
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of 
InstallInterface instance at 84eff28>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface 
instance at 84eff28>
    messageWindow: <method InstallInterface.messageWindow of 
InstallInterface instance at 84eff28>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of 
InstallInterface instance at 84eff28>
  device: hdc
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of 
InstallInterface instance at 84eff28>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 
0, 'reconfig': 0, 'test': 0}
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': 
pixmaps/splash.png, 'TitleBar': pixmaps/anaconda_header.png, 'Title': Red 
Hat Linux Beta}
    bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 8686548>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84fabc8>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 8566ea0>
    window: GtkWindow instance, containing members:
      _o: <GtkObject of type GtkWindow at 830a530>
    prevButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84faaf0>
    helpFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84ccf48>
    box: GtkVBox instance, containing members:
      _o: <GtkObject of type GtkVBox at 84e30c8>
    hbox: GtkHBox instance, containing members:
      _o: <GtkObject of type GtkHBox at 856d428>
    releaseButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84fab80>
    table: GtkTable instance, containing members:
      _o: <GtkObject of type GtkTable at 84f40c8>
    windowList: []
    installFrame: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84f4190>
    currentWindow: AutoPartitionWindow instance, containing members:
      partitions: Already dumped
      diskset: Already dumped
      clearLinuxRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 85dc270>
      clearNoneRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 85ce6d0>
      inspect: GtkCheckButton instance, containing members:
        _o: <GtkObject of type GtkCheckButton at 84c8968>
      ics: InstallControlState instance, containing members:
        nextButton: Button_Next
        cw: Already dumped
        prevEnabled: 1
        prevButton: Button_Prev
        htmlFile: autopart
        html: 
        helpEnabled: 3
        nextEnabled: 1
        nextButtonInfo: None
        title: Automatic Partitioning
        grabNext: 0
        prevButtonLabel: None
        searchPath: [./, /usr/share/anaconda/, ./]
        helpButtonEnabled: 1
        nextButtonLabel: None
      parent: Already dumped
      driveclist: GtkCList instance, containing members:
        _o: <GtkObject of type GtkCList at 8709ec0>
      intf: Already dumped
      clearAllRB: GtkRadioButton instance, containing members:
        _o: <GtkObject of type GtkRadioButton at 8272638>
      dispatch: Already dumped
    ii: Already dumped
    reloadRcQueued: 0
    dispatch: Already dumped
    dir: -1
    nextButtonStock: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84fab38>
    hideHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 84fac10>
    buttonBox: GtkHButtonBox instance, containing members:
      _o: <GtkObject of type GtkHButtonBox at 852a7e8>
    handle: 453
    stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method 
InstallControlWindow.prevClicked of InstallControlWindow instance at 
873c690>), ('Button_Next', 'nextButtonStock', 'Next', <method 
InstallControlWindow.nextClicked of InstallControlWindow instance at 
873c690>), ('Button_Help', 'releaseButton', 'Release Notes', <method 
InstallControlWindow.releaseClicked of InstallControlWindow instance at 
873c690>), ('Button_Help', 'showHelpButton', 'Show Help', <method 
InstallControlWindow.helpClicked of InstallControlWindow instance at 
873c690>), ('Button_Help', 'hideHelpButton', 'Hide Help', <method 
InstallControlWindow.helpClicked of InstallControlWindow instance at 
873c690>)]
    displayHelp: 1
step: 23
dispatch: Already dumped


/tmp/syslog:
<4>Linux version 2.4.7-10BOOT (bhcompile@stripples.devel.redhat.com) (gcc 
version 2.96 20000731 (Red Hat Linux 7.1 2.96-98)) #1 Thu Sep 6 16:15:00 
EDT 2001
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
<4> BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 0000000007f87000 (usable)
<4> BIOS-e820: 0000000007f87000 - 0000000007fa6000 (ACPI data)
<4> BIOS-e820: 0000000007fa6000 - 0000000008000000 (reserved)
<4> BIOS-e820: 00000000ffb00000 - 0000000100000000 (reserved)
<4>On node 0 totalpages: 32647
<4>zone(0): 4096 pages.
<4>zone(1): 28551 pages.
<4>zone(2): 0 pages.
<4>No local APIC present or hardware disabled
<4>Kernel command line: initrd=initrd.img lang= devfs=nomount 
ramdisk_size=7168 vga=788 BOOT_IMAGE=vmlinuz auto
<6>Initializing CPU#0
<4>Detected 1581.989 MHz processor.
<4>Console: colour dummy device 80x25
<4>Calibrating delay loop... 3158.83 BogoMIPS
<4>Memory: 124692k/130588k available (1114k kernel code, 4616k reserved, 
89k data, 104k init, 0k highmem)
<4>Dentry-cache hash table entries: 16384 (order: 5, 131072 bytes)
<4>Inode-cache hash table entries: 8192 (order: 4, 65536 bytes)
<4>Mount-cache hash table entries: 2048 (order: 2, 16384 bytes)
<4>Buffer-cache hash table entries: 4096 (order: 2, 16384 bytes)
<4>Page-cache hash table entries: 32768 (order: 6, 262144 bytes)
<7>CPU: Before vendor init, caps: 3febf9ff 00000000 00000000, vendor = 0
<6>CPU: L1 I cache: 12K, L1 D cache: 8K
<6>CPU: L2 cache: 256K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU: After vendor init, caps: 3febf9ff 00000000 00000000 00000000
<7>CPU:     After generic, caps: 3febf9ff 00000000 00000000 00000000
<7>CPU:             Common caps: 3febf9ff 00000000 00000000 00000000
<4>CPU: Intel(R) Pentium(R) 4 CPU 1600MHz stepping 0a
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<4>PCI: PCI BIOS revision 2.10 entry at 0xfc10e, last bus=2
<4>PCI: Using configuration type 1
<4>PCI: Probing PCI hardware
<3>Unknown bridge resource 0: assuming transparent
<3>Unknown bridge resource 2: assuming transparent
<6>PCI: Using IRQ router PIIX [8086/2440] at 00:1f.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<6>Simple Boot Flag extension found and enabled.
<4>Starting kswapd v1.8
<6>vesafb: framebuffer at 0xf0000000, mapped to 0xc8800000, size 32768k
<6>vesafb: mode is 800x600x16, linelength=1600, pages=3
<6>vesafb: protected mode interface info at c000:c2c0
<6>vesafb: scrolling: redraw
<6>vesafb: directcolor: size=0:5:6:5, shift=0:11:5:0
<4>Console: switching to colour frame buffer device 100x37
<6>fb0: VESA VGA frame buffer device
<6>Detected PS/2 Mouse Port.
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ 
SERIAL_PCI enabled
<6>ttyS00 at 0x03f8 (irq = 4) is a 16550A
<4>block: queued sectors max/low 82744kB/27581kB, 256 slots per queue
<4>RAMDISK driver initialized: 16 RAM disks of 7168K size 1024 blocksize
<6>Uniform Multi-Platform E-IDE driver Revision: 6.31
<6>ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
<4>PIIX4: IDE controller on PCI bus 00 dev f9
<4>PIIX4: chipset revision 4
<4>PIIX4: not 100% native mode: will probe irqs later
<4>    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
<4>    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
<4>hda: IC35L020AVER07-0, ATA DISK drive
<4>hdc: Lite-On LTN486 48x Max, ATAPI CD/DVD-ROM drive
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>ide1 at 0x170-0x177,0x376 on irq 15
<6>hda: 39102336 sectors (20020 MB) w/1916KiB Cache, CHS=2434/255/63, UDMA
(100)
<4>hdc: ATAPI 48X CD-ROM drive, 120kB Cache
<6>Uniform CD-ROM driver Revision: 3.12
<4>ide-floppy driver 0.97
<6>Partition check:
<6> hda: hda1 hda2 < hda5 hda6 >
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a National Semiconductor PC87306
<6>loop: loaded (max 8 devices)
<4>ide-floppy driver 0.97
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<4>md: autorun ...
<4>md: ... autorun DONE.
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<4>IP: routing cache hash table of 512 buckets, 4Kbytes
<4>TCP: Hash tables configured (established 8192 bind 8192)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<4>Freeing initrd memory: 723k freed
<4>VFS: Mounted root (ext2 filesystem).
<6>SCSI subsystem driver Revision: 1.00
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>usb-uhci.c: $Revision: 1.259 $ time 16:21:20 Sep  6 2001
<6>usb-uhci.c: High bandwidth mode enabled
<6>PCI: Found IRQ 11 for device 00:1f.2
<6>PCI: Sharing IRQ 11 with 02:0a.0
<4>PCI: Setting latency timer of device 00:1f.2 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xff80, IRQ 11
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>PCI: Found IRQ 9 for device 00:1f.4
<4>PCI: Setting latency timer of device 00:1f.4 to 64
<6>usb-uhci.c: USB UHCI at I/O 0xff60, IRQ 9
<4>usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 2
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>usb-uhci.c: v1.251:USB Universal Host Controller Interface driver
<6>usb.c: registered new driver hid
<6>usb.c: registered new driver hiddev
<6>hid-core.c: v1.8 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>Initializing USB Mass Storage driver...
<6>usb.c: registered new driver usb-storage
<6>USB Mass Storage support registered.
<6>hub.c: USB new device connect on bus1/2, assigned device number 2
<7>ISO 9660 Extensions: RRIP_1991A
<6>input0: USB HID v1.00 Mouse [Logitech USB-PS/2 Mouse M-BA47] on usb1:2.0
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>PCI: Found IRQ 11 for device 02:0c.0
<4>3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
<6>02:0c.0: 3Com PCI 3c905C Tornado at 0xec00. Vers LK1.1.16
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1823.600 MB/sec
<4>   32regs    :  1197.600 MB/sec
<4>   pII_mmx   :  1870.000 MB/sec
<4>   p5_mmx    :  1845.600 MB/sec
<4>raid5: using function: pII_mmx (1870.000 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>mice: PS/2 mouse device common for all mice


Additional info:
Comment 1 Brent Fox 2001-11-06 00:02:10 EST
This is strange, because we tested dual boot configurations.  How much free
space was on the hard drive and what partitions did you make?
Comment 2 Brent Fox 2001-11-19 12:54:40 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.